Page MenuHomePhabricator

Embedding RunQuery throws an error
Closed, ResolvedPublic

Description

MediaWiki internal error.

Original exception: [Whl6UDPprRtI1DbgzddqigAAAAg] [no req] MWException from line 6059 of /srv/mediawiki/tags/2017-11-25_13:00:21/includes/parser/Parser.php: Parser state cleared while parsing. Did you call Parser::parse recursively? Lock is held by: #0 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/parser/Parser.php(420): Parser->lock()
#1 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/content/WikitextContent.php(329): Parser->parse()
#2 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/content/AbstractContent.php(516): WikitextContent->fillParserOutput()
#3 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/EditPage.php(4010): AbstractContent->getParserOutput()
#4 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/EditPage.php(3938): EditPage->doPreviewParse()
#5 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/EditPage.php(2673): EditPage->getPreviewText()
#6 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/EditPage.php(705): EditPage->showEditForm()
#7 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/actions/EditAction.php(60): EditPage->edit()
#8 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/actions/SubmitAction.php(38): EditAction->show()
#9 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/MediaWiki.php(499): SubmitAction->show()
#10 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/MediaWiki.php(293): MediaWiki->performAction()
#11 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/MediaWiki.php(851): MediaWiki->performRequest()
#12 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/MediaWiki.php(523): MediaWiki->main()
#13 /srv/mediawiki/tags/2017-11-21_07:06:14/index.php(43): MediaWiki->run()
#14 {main}
Backtrace:
#0 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/parser/Parser.php(420): Parser->lock()
#1 /srv/mediawiki/tags/2017-11-25_13:00:21/extensions/PageForms/includes/PF_FormUtils.php(415): Parser->parse(string, Title, ParserOptions)
#2 /srv/mediawiki/tags/2017-11-25_13:00:21/extensions/PageForms/includes/PF_FormPrinter.php(791): PFFormUtils::getFormDefinition(Parser, string, integer)
#3 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/StubObject.php(111): PFFormPrinter->formHTML(string, boolean, boolean, integer, NULL, NULL, NULL, boolean, boolean)
#4 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/StubObject.php(137): StubObject->_call(string, array)
#5 /srv/mediawiki/tags/2017-11-25_13:00:21/extensions/PageForms/specials/PF_RunQuery.php(68): StubObject->__call(string, array)
#6 /srv/mediawiki/tags/2017-11-25_13:00:21/extensions/PageForms/specials/PF_RunQuery.php(30): PFRunQuery->printPage(string, boolean)
#7 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/specialpage/SpecialPage.php(522): PFRunQuery->execute(string)
#8 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/specialpage/SpecialPageFactory.php(578): SpecialPage->run(string)
#9 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/specialpage/SpecialPageFactory.php(633): SpecialPageFactory::executePath(Title, RequestContext, boolean, MediaWiki\Linker\LinkRenderer)
#10 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/parser/Parser.php(3183): SpecialPageFactory::capturePath(Title, RequestContext, MediaWiki\Linker\LinkRenderer)
#11 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/parser/Preprocessor_Hash.php(1071): Parser->braceSubstitution(array, PPFrame_Hash)
#12 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/parser/Parser.php(2921): PPFrame_Hash->expand(PPNode_Hash_Tree, integer)
#13 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/parser/Parser.php(1277): Parser->replaceVariables(string)
#14 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/parser/Parser.php(451): Parser->internalParse(string)
#15 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/content/WikitextContent.php(329): Parser->parse(string, Title, ParserOptions, boolean, boolean, NULL)
#16 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/content/AbstractContent.php(516): WikitextContent->fillParserOutput(Title, NULL, ParserOptions, boolean, ParserOutput)
#17 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/EditPage.php(4010): AbstractContent->getParserOutput(Title, NULL, ParserOptions)
#18 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/EditPage.php(3938): EditPage->doPreviewParse(WikitextContent)
#19 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/EditPage.php(2673): EditPage->getPreviewText()
#20 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/EditPage.php(705): EditPage->showEditForm()
#21 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/actions/EditAction.php(60): EditPage->edit()
#22 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/actions/SubmitAction.php(38): EditAction->show()
#23 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/MediaWiki.php(499): SubmitAction->show()
#24 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/MediaWiki.php(293): MediaWiki->performAction(Article, Title)
#25 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/MediaWiki.php(851): MediaWiki->performRequest()
#26 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/MediaWiki.php(523): MediaWiki->main()
#27 /srv/mediawiki/tags/2017-11-21_07:06:14/index.php(43): MediaWiki->run()
#28 {main}

Exception caught inside exception handler: [Whl6UDPprRtI1DbgzddqigAAAAg] [no req] MWException from line 168 of /srv/mediawiki/tags/2017-11-25_13:00:21/includes/FauxRequest.php: Request URL not set
Backtrace:
#0 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/skins/SkinTemplate.php(1139): FauxRequest->getRequestURL()
#1 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/skins/SkinTemplate.php(476): SkinTemplate->buildContentNavigationUrls()
#2 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/skins/SkinTemplate.php(249): SkinTemplate->prepareQuickTemplate()
#3 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/OutputPage.php(2442): SkinTemplate->outputPage()
#4 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/exception/MWException.php(160): OutputPage->output()
#5 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/exception/MWException.php(201): MWException->reportHTML()
#6 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/exception/MWExceptionHandler.php(73): MWException->report()
#7 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/exception/MWExceptionHandler.php(149): MWExceptionHandler::report(MWException)
#8 /srv/mediawiki/tags/2017-11-25_13:00:21/includes/MediaWiki.php(550): MWExceptionHandler::handleException(MWException)
#9 /srv/mediawiki/tags/2017-11-21_07:06:14/index.php(43): MediaWiki->run()
#10 {main}

See also:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 25 2017, 2:14 PM
Yaron_Koren closed this task as Resolved.Feb 27 2018, 8:21 PM
Yaron_Koren claimed this task.
Yaron_Koren added a subscriber: Yaron_Koren.

@Nikerabbit - sorry about the problem. I just checked in some changes, and I think this is finally fixed now.